wibble::str::Split Class Reference

Split a string where a given substring is found. More...

`#include <string.h>`

## Classes

class | const_iterator

## Public Member Functions

| Split (const std::string &sep, const std::string &str)
| Create a splitter that uses the given regular expression to find tokens. More...
const_iterator | begin () const
| Split the string and iterate the resulting tokens. More...
const_iterator | end () const

## Detailed Description

Split a string where a given substring is found.

This does a similar work to the split functions of perl, python and ruby.

Example code:

str::Split splitter("/", myString);
vector<string> split;
std::copy(splitter.begin(), splitter.end(), back_inserter(split));

## Constructor & Destructor Documentation

wibble::str::Split::Split | ( | const std::string & | sep,
|  | const std::string & | str
| ) |  |

inline

Create a splitter that uses the given regular expression to find tokens.

## Member Function Documentation

const_iterator wibble::str::Split::begin | ( |  | ) | const

inline

Split the string and iterate the resulting tokens.

Referenced by wibble::sys::fs::findExecutable(), wibble::str::normpath(), and wibble::net::http::Params::parse_urlencoded().

const_iterator wibble::str::Split::end | ( |  | ) | const

inline

Referenced by wibble::sys::fs::findExecutable(), wibble::str::normpath(), and wibble::net::http::Params::parse_urlencoded().

The documentation for this class was generated from the following file:

- string.h